org.apache.solr.handler

## Enum CdcrParams.CdcrAction

- java.lang.Object
- - java.lang.Enum<CdcrParams.CdcrAction>
  - - org.apache.solr.handler.CdcrParams.CdcrAction

- All Implemented Interfaces:
    Serializable, Comparable<CdcrParams.CdcrAction>
  Enclosing class:
    CdcrParams

      public static enum CdcrParams.CdcrAction
      extends Enum<CdcrParams.CdcrAction>

  The actions supported by the CDCR API

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOTSTRAP`
    `BOOTSTRAP_STATUS`
    `CANCEL_BOOTSTRAP`
    `COLLECTIONCHECKPOINT`
    `DISABLEBUFFER`
    `ENABLEBUFFER`
    `ERRORS`
    `LASTPROCESSEDVERSION`
    `OPS`
    `QUEUES`
    `SHARDCHECKPOINT`
    `START`
    `STATUS`
    `STOP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CdcrParams.CdcrAction` | `get(String p)`
    `String` | `toLower()`
    `static CdcrParams.CdcrAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CdcrParams.CdcrAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final CdcrParams.CdcrAction START

    - #### STOP

          public static final CdcrParams.CdcrAction STOP

    - #### STATUS

          public static final CdcrParams.CdcrAction STATUS

    - #### COLLECTIONCHECKPOINT

          public static final CdcrParams.CdcrAction COLLECTIONCHECKPOINT

    - #### SHARDCHECKPOINT

          public static final CdcrParams.CdcrAction SHARDCHECKPOINT

    - #### ENABLEBUFFER

          public static final CdcrParams.CdcrAction ENABLEBUFFER

    - #### DISABLEBUFFER

          public static final CdcrParams.CdcrAction DISABLEBUFFER

    - #### LASTPROCESSEDVERSION

          public static final CdcrParams.CdcrAction LASTPROCESSEDVERSION

    - #### QUEUES

          public static final CdcrParams.CdcrAction QUEUES

    - #### OPS

          public static final CdcrParams.CdcrAction OPS

    - #### ERRORS

          public static final CdcrParams.CdcrAction ERRORS

    - #### BOOTSTRAP

          public static final CdcrParams.CdcrAction BOOTSTRAP

    - #### BOOTSTRAP_STATUS

          public static final CdcrParams.CdcrAction BOOTSTRAP_STATUS

    - #### CANCEL_BOOTSTRAP

          public static final CdcrParams.CdcrAction CANCEL_BOOTSTRAP

  - ### Method Detail

    - #### values

          public static CdcrParams.CdcrAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CdcrParams.CdcrAction c : CdcrParams.CdcrAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CdcrParams.CdcrAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static CdcrParams.CdcrAction get(String p)

    - #### toLower

          public String toLower()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.